com.aliyun.svideosdk.mixrecorder

## Class AliyunMixOutputParam.Builder

- java.lang.Object
- - com.aliyun.svideosdk.mixrecorder.AliyunMixOutputParam.Builder

- Enclosing class:
    AliyunMixOutputParam

      public static final class AliyunMixOutputParam.Builder
      extends java.lang.Object

  `AliyunMixOutputParam` builder static inner class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AliyunMixOutputParam.Builder` | `bitrate(int bitrate)` Sets the `mBitrate` and returns a reference to this Builder so that the methods can be chained together.
    `AliyunMixOutputParam` | `build()` Returns a `AliyunMixOutputParam` built from the parameters previously set.
    `AliyunMixOutputParam.Builder` | `crf(int crf)` Sets the `mCrf` and returns a reference to this Builder so that the methods can be chained together.
    `AliyunMixOutputParam.Builder` | `fps(int fps)` Sets the `mFps` and returns a reference to this Builder so that the methods can be chained together.
    `AliyunMixOutputParam.Builder` | `gopSize(int gopSize)` Sets the `mGopSize` and returns a reference to this Builder so that the methods can be chained together.
    `AliyunMixOutputParam.Builder` | `outputAudioReferenceTrack(AliyunMixTrack outputAudioReferenceTrack)` Sets the `mOutputAudioReferenceTrack` and returns a reference to this Builder so that the methods can be chained together.
    `AliyunMixOutputParam.Builder` | `outputDurationReferenceTrack(AliyunMixTrack outputDurationReferenceTrack)` Sets the `mOutputDurationReferenceTrack` and returns a reference to this Builder so that the methods can be chained together.
    `AliyunMixOutputParam.Builder` | `outputHeight(int outputHeight)` Sets the `mOutputHeight` and returns a reference to this Builder so that the methods can be chained together.
    `AliyunMixOutputParam.Builder` | `outputPath(java.lang.String outputPath)` Sets the `mOutputPath` and returns a reference to this Builder so that the methods can be chained together.
    `AliyunMixOutputParam.Builder` | `outputWidth(int outputWidth)` Sets the `mOutputWidth` and returns a reference to this Builder so that the methods can be chained together.
    `AliyunMixOutputParam.Builder` | `videoQuality(VideoQuality videoQuality)` Sets the `VideoQuality` and returns a reference to this Builder so that the methods can be chained together.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### outputPath

          public AliyunMixOutputParam.Builder outputPath(java.lang.String outputPath)

      Sets the `mOutputPath` and returns a reference to this Builder so that the methods can be chained together. Sets the video output path.
      Parameters:
        `outputPath` - The `mOutputPath`.
      Returns:
        A reference to this Builder.

    - #### outputDurationReferenceTrack

          public AliyunMixOutputParam.Builder outputDurationReferenceTrack(AliyunMixTrack outputDurationReferenceTrack)

      Sets the `mOutputDurationReferenceTrack` and returns a reference to this Builder so that the methods can be chained together. Sets the video track whose duration is used as the duration of the duet.
      Parameters:
        `outputDurationReferenceTrack` - The `mOutputDurationReferenceTrack`.
      Returns:
        A reference to this Builder.

    - #### outputAudioReferenceTrack

          public AliyunMixOutputParam.Builder outputAudioReferenceTrack(AliyunMixTrack outputAudioReferenceTrack)

      Sets the `mOutputAudioReferenceTrack` and returns a reference to this Builder so that the methods can be chained together. Sets the video track whose audio is used as the audio of the duet. If the duration of the audio is shorter than the duration of the duet, null data is added to the audio track. Only one audio track is allowed.
      Parameters:
        `outputAudioReferenceTrack` - The `mOutputAudioReferenceTrack`.
      Returns:
        A reference to this Builder.

    - #### outputWidth

          public AliyunMixOutputParam.Builder outputWidth(int outputWidth)

      Sets the `mOutputWidth` and returns a reference to this Builder so that the methods can be chained together. Sets the output width.
      Parameters:
        `outputWidth` - The `mOutputWidth`.
      Returns:
        A reference to this Builder.

    - #### outputHeight

          public AliyunMixOutputParam.Builder outputHeight(int outputHeight)

      Sets the `mOutputHeight` and returns a reference to this Builder so that the methods can be chained together. Sets the output height.
      Parameters:
        `outputHeight` - The `mOutputHeight`.
      Returns:
        A reference to this Builder.

    - #### crf

          public AliyunMixOutputParam.Builder crf(int crf)

      Sets the `mCrf` and returns a reference to this Builder so that the methods can be chained together.
      Parameters:
        `crf` - The `mCrf` must be within the range of `Constant#MIN_CRF_VALUE` to `Constant#MAX_CRF_VALUE`. If an invalid value is specified, the nearest threshold value is used.
      Returns:
        A reference to this Builder.

    - #### bitrate

          public AliyunMixOutputParam.Builder bitrate(int bitrate)

      Sets the `mBitrate` and returns a reference to this Builder so that the methods can be chained together.
      Parameters:
        `bitrate` - The `mBitrate` must be within the range of `Constant#MIN_VIDEO_BITRATE` to `Constant#MAX_VIDEO_BITRATE`. If an invalid value is specified, the nearest threshold value is used.
      Returns:
        A reference to this Builder.

    - #### videoQuality

          public AliyunMixOutputParam.Builder videoQuality(VideoQuality videoQuality)

      Sets the `VideoQuality` and returns a reference to this Builder so that the methods can be chained together.
      Parameters:
        `videoQuality` - The `mVideoQuality`.
      Returns:
        A reference to this Builder.

    - #### fps

          public AliyunMixOutputParam.Builder fps(int fps)

      Sets the `mFps` and returns a reference to this Builder so that the methods can be chained together. The fps must be within the range of `Constant#MIN_FPS` to `Constant#MAX_FPS`, If an invalid value is specified, the nearest threshold value is used.
      Parameters:
        `fps` - The fps value
      Returns:
        A reference to this Builder.

    - #### gopSize

          public AliyunMixOutputParam.Builder gopSize(int gopSize)

      Sets the `mGopSize` and returns a reference to this Builder so that the methods can be chained together.
      Parameters:
        `gopSize` - The `mGopSize` must be within the range of `Constant#MIN_GOP_VALUE` to `Constant#MAX_GOP_VALUE`. If an invalid value is specified, the nearest threshold value is used.
      Returns:
        A reference to this Builder.

    - #### build

          public AliyunMixOutputParam build()

      Returns a `AliyunMixOutputParam` built from the parameters previously set.
      Returns:
        A `AliyunMixOutputParam` built with parameters of `AliyunMixOutputParam.Builder`.